org.apache.mina.util.byteaccess

## Class CompositeByteArrayRelativeWriter.NopExpander

- java.lang.Object
- - org.apache.mina.util.byteaccess.CompositeByteArrayRelativeWriter.NopExpander

- All Implemented Interfaces:
    CompositeByteArrayRelativeWriter.Expander
  Enclosing class:
    CompositeByteArrayRelativeWriter

      public static class CompositeByteArrayRelativeWriter.NopExpander
      extends Object
      implements CompositeByteArrayRelativeWriter.Expander

  No-op expander. The overridden method does nothing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeByteArrayRelativeWriter.NopExpander()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expand(CompositeByteArray cba, int minSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeByteArrayRelativeWriter.NopExpander

          public CompositeByteArrayRelativeWriter.NopExpander()

  - ### Method Detail

    - #### expand

          public void expand(CompositeByteArray cba,
                    int minSize)

      Specified by:
        `expand` in interface `CompositeByteArrayRelativeWriter.Expander`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.